curl --request GET \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/{externalEventId}/identifiers \
--header 'Authorization: Bearer <token>'{
"results": [
{
"externalEventId": "<string>",
"marketingEventName": "<string>",
"objectId": "<string>",
"appInfo": {
"id": "<string>",
"name": "<string>"
},
"externalAccountId": "<string>"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}curl --request GET \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/{externalEventId}/identifiers \
--header 'Authorization: Bearer <token>'{
"results": [
{
"externalEventId": "<string>",
"marketingEventName": "<string>",
"objectId": "<string>",
"appInfo": {
"id": "<string>",
"name": "<string>"
},
"externalAccountId": "<string>"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The id of the marketing event in the external event application.
Was this page helpful?